Name:          protobuf25
Version:       25.3
Release:       2mamba
Summary:       A way of encoding structured data in an efficient yet extensible format
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://protobuf.dev/
Source:        https://github.com/protocolbuffers/protobuf.git/v%{version}/protobuf-%{version}.tar.bz2
Patch0:        protobuf-24.3-pep517.patch
Patch1:        protobuf-24.3-upstream-fix-Protobuf_PROTOC_EXECUTABLE.patch
Patch2:        protobuf-25.3-soversion.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libabseil-cpp-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Protocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
Protocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains static libraries and header files needed for development of Protocol Buffer

%debug_package

%prep
%setup -q -n protobuf-%{version}
#-D -T
#:<< _EOF

%define _default_patch_fuzz 2
%patch 0 -p1 -b .pep517
%patch 1 -p1 -b .upstream-fix-Protobuf_PROTOC_EXECUTABLE
%patch 2 -p1 -b .soversion

%build
%cmake \
    -Dprotobuf_BUILD_SHARED_LIBS=ON \
    -Dprotobuf_USE_EXTERNAL_GTEST=ON \
    -Dprotobuf_ABSL_PROVIDER=package

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/protoc*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libprotobuf*.so.*
%{_libdir}/libprotoc.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/google/protobuf
%{_includedir}/google/protobuf/*
%{_includedir}/java/core/src/main/java/com/google/protobuf/java_features.proto
%{_includedir}/utf8_range.h
%{_includedir}/utf8_validity.h
%{_libdir}/libprotobuf*.so
%{_libdir}/libprotoc.so
%{_libdir}/libutf8_range.a
%{_libdir}/libutf8_validity.a
%dir %{_libdir}/cmake/protobuf
%{_libdir}/cmake/protobuf/protobuf-*.cmake
%dir %{_libdir}/cmake/utf8_range
%{_libdir}/cmake/utf8_range/utf8_range-*.cmake
%{_libdir}/pkgconfig/protobuf*.pc
%{_libdir}/pkgconfig/utf8_range.pc

%changelog
* Sat Apr 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 25.3-2mamba
- legacy package

* Mon Feb 19 2024 Automatic Build System <autodist@openmamba.org> 25.3-1mamba
- automatic version update by autodist

* Tue Jul 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 21.12-2mamba
- added python 3.10 subpackage

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 21.12-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 21.11-1mamba
- automatic version update by autodist

* Thu Dec 01 2022 Automatic Build System <autodist@mambasoft.it> 21.10-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 21.9-1mamba
- automatic version update by autodist

* Thu Oct 20 2022 Automatic Build System <autodist@mambasoft.it> 21.8-1mamba
- automatic version update by autodist

* Fri Sep 30 2022 Automatic Build System <autodist@mambasoft.it> 21.7-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 21.6-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 21.5-1mamba
- automatic version update by autodist

* Tue Jul 26 2022 Automatic Build System <autodist@mambasoft.it> 21.4-1mamba
- automatic version update by autodist

* Thu Jul 21 2022 Automatic Build System <autodist@mambasoft.it> 21.3-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Automatic Build System <autodist@mambasoft.it> 21.2-1mamba
- automatic version update by autodist

* Sun May 29 2022 Automatic Build System <autodist@mambasoft.it> 21.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Automatic Build System <autodist@mambasoft.it> 3.19.4-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 3.19.3-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 3.19.2-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 3.19.1-1mamba
- automatic version update by autodist

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 3.19.0-1mamba
- automatic version update by autodist

* Sat Oct 09 2021 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed Jun 09 2021 Automatic Build System <autodist@mambasoft.it> 3.17.3-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 3.17.2-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 3.17.1-1mamba
- automatic version update by autodist

* Sat May 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17.0-2mamba
- libprotobuf-devel: require protobuf; python-protobuf: use distdeps; fixed url

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 3.17.0-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 3.15.8-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 3.15.7-1mamba
- automatic version update by autodist

* Fri Mar 12 2021 Automatic Build System <autodist@mambasoft.it> 3.15.6-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 3.15.5-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 3.15.4-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 3.15.3-1mamba
- automatic version update by autodist

* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 3.15.2-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 3.15.1-1mamba
- automatic version update by autodist

* Sun Jan 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.4-2mamba
- added python subpackage

* Thu Aug 06 2020 Automatic Build System <autodist@mambasoft.it> 3.12.4-1mamba
- automatic version update by autodist

* Wed Jul 01 2020 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Mar 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.11.4-2mamba
- rebuilt with debug package

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 3.11.4-1mamba
- automatic version update by autodist

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 3.11.3-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 3.11.2-1mamba
- automatic version update by autodist

* Sat Dec 28 2019 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Mon Oct 28 2019 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Sat Jan 05 2019 Automatic Build System <autodist@mambasoft.it> 3.6.1.3-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-1mamba
- update to 3.6.1

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 3.6.0.1-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Sun Jan 07 2018 Automatic Build System <autodist@mambasoft.it> 3.5.1.1-1mamba
- automatic version update by autodist

* Tue Jan 02 2018 Automatic Build System <autodist@mambasoft.it> 3.5.0.1-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Fri Apr 14 2017 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sun Feb 12 2017 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- update to 3.1.0

* Wed Dec 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- rebuilt with gcc 5.3.0

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- specfile fixes

* Fri Jan 29 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.3.0-1mamba
- package created by autospec
